#!/usr/bin/env bash

# Make folder containing the script the root folder for its execution
cd $(dirname $0)

echo "BUILD context"
context/genproto.sh
docker build -t "context_service:develop" -f context/Dockerfile_develop --quiet .
docker build -t "context_service:test" -f context/Dockerfile_test --quiet .

cd monitoring
./genproto.sh
cd ..

echo "BUILD monitoring"
docker build -t "monitoring:dockerfile" -f monitoring/Dockerfile .

echo "Prune unused images"
docker image prune --force
